Skip to main content
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
google
/
my_business_info
/
task_get
/
{id}
Get Google My Business Info Results by id
curl --request GET \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/google/my_business_info/task_get/{id} \
  --header 'Authorization: Bearer <token>'
{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "result": [
    "<string>"
  ],
  "result.keyword": "<string>",
  "result.se_domain": "<string>",
  "result.location_code": 123,
  "result.language_code": "<string>",
  "result.check_url": "<string>",
  "result.datetime": "<string>",
  "result.item_types": [
    "<string>"
  ],
  "result.items_count": 123,
  "items": [
    "<string>"
  ],
  "items.type": "<string>",
  "items.rank_group": 123,
  "items.rank_absolute": 123,
  "items.position": "<string>",
  "items.title": "<string>",
  "items.original_title": "<string>",
  "items.description": "<string>",
  "items.category": "<string>",
  "items.category_ids": [
    "<string>"
  ],
  "items.additional_categories": [
    "<string>"
  ],
  "items.cid": "<string>",
  "items.feature_id": "<string>",
  "items.address": "<string>",
  "items.address_info": {},
  "items.borough": "<string>",
  "items.city": "<string>",
  "items.zip": "<string>",
  "items.region": "<string>",
  "items.country_code": "<string>",
  "items.place_id": "<string>",
  "items.phone": "<string>",
  "items.url": "<string>",
  "items.contact_url": "<string>",
  "items.contributor_url": "<string>",
  "items.book_online_url": "<string>",
  "items.domain": "<string>",
  "items.logo": "<string>",
  "items.main_image": "<string>",
  "items.total_photos": 123,
  "items.snippet": "<string>",
  "items.latitude": 123,
  "items.longitude": 123,
  "items.is_claimed": true,
  "items.attributes": {},
  "items.available_attributes": {},
  "items.unavailable_attributes": {},
  "items.place_topics": {},
  "items.rating": {},
  "items.rating_type": "<string>",
  "items.value": 123,
  "items.votes_count": 123,
  "items.rating_max": 123,
  "items.rating_distribution": {},
  "items.1": 123,
  "items.2": 123,
  "items.3": 123,
  "items.4": 123,
  "items.5": 123,
  "items.people_also_search": [
    "<string>"
  ],
  "items.work_time": {},
  "items.work_hours": {},
  "items.timetable": {},
  "items.sunday": [
    "<string>"
  ],
  "items.open": {},
  "items.hour": 123,
  "items.minute": 123,
  "items.close": {},
  "items.monday": [
    "<string>"
  ],
  "items.tuesday": [
    "<string>"
  ],
  "items.wednesday": [
    "<string>"
  ],
  "items.thursday": [
    "<string>"
  ],
  "items.friday": [
    "<string>"
  ],
  "items.saturday": [
    "<string>"
  ],
  "items.current_status": "<string>",
  "popular_times": {},
  "popular_times.popular_times_by_days": {},
  "popular_times.sunday": [
    "<string>"
  ],
  "popular_times.time": {},
  "popular_times.hour": 123,
  "popular_times.minute": 123,
  "popular_times.popular_index": 123,
  "local_business_links": [
    "<string>"
  ],
  "local_business_links.type": "<string>",
  "local_business_links.title": "<string>",
  "local_business_links.url": "<string>",
  "local_business_links.delivery_services": [
    "<string>"
  ],
  "local_business_links.is_directory_item": true,
  "directory": [
    "<string>"
  ],
  "directory.title": "<string>",
  "directory.items": [
    "<string>"
  ],
  "directory.type": "<string>",
  "directory.rank_group": 123,
  "directory.rank_absolute": 123,
  "directory.domain": "<string>",
  "directory.url": "<string>",
  "directory.rating": {},
  "directory.rating_type": "<string>",
  "directory.value": 123,
  "directory.votes_count": 123,
  "directory.rating_max": 123,
  "directory.rating_distribution": {},
  "directory.1": 123,
  "directory.2": 123,
  "directory.3": 123,
  "directory.4": 123,
  "directory.5": 123,
  "directory.snippet": "<string>",
  "directory.address": "<string>",
  "directory.address_info": {},
  "directory.borough": "<string>",
  "directory.city": "<string>",
  "directory.zip": "<string>",
  "directory.region": "<string>",
  "directory.country_code": "<string>",
  "directory.place_id": "<string>",
  "directory.phone": "<string>",
  "directory.main_image": "<string>",
  "directory.total_photos": 123,
  "directory.category": "<string>",
  "directory.category_ids": [
    "<string>"
  ],
  "directory.work_hours": {},
  "directory.feature_id": "<string>",
  "directory.cid": "<string>",
  "directory.latitude": 123,
  "directory.longitude": 123,
  "directory.is_claimed": true,
  "directory.local_justifications": [
    "<string>"
  ],
  "directory.is_directory_item": true,
  "directory.price_level": "<string>",
  "directory.hotel_rating": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string

task identifier unique task identifier in our system in the UUID format you will be able to use it within 30 days to request the results of the task at any time

Response

Successful response

version
string

the current version of the API

version.status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

version.status_message
string

general informational message you can find the full list of general informational messages here

version.time
string

execution time, seconds

version.cost
number

total tasks cost, USD

version.tasks_count
integer

the number of tasks in the tasks array

version.tasks_error
integer

the number of tasks in the tasks array that were returned an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

result
string[]

array of results

result.keyword
string

keyword received in a POST array keyword is returned with decoded %## (plus character ‘+’ will be decoded to a space character) this field will contain the cid parameter if you specified it in the keyword field when setting a task; example: cid:2946633002421908862 learn more about the parameter in this help center article

result.se_domain
string

search engine domain as specified in a POST array

result.location_code
integer

location code in a POST array

result.language_code
string

language code in a POST array

result.check_url
string

direct URL to search engine results you can use it to make sure that we provided accurate results

result.datetime
string

date and time when the result was received in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

result.item_types
string[]

item types types of search engine results encountered in the items array; possible item types: google_business_info

result.items_count
integer

item types the number of items in the items array

items
string[]

encountered item types types of search engine results encountered in the items array; possible item types: google_business_info

items.type
string

type of element = ‘google_business_info’

items.rank_group
integer

position within a group of elements with identical type values positions of elements with different type values are omitted from rank_group

items.rank_absolute
integer

absolute rank among all the elements

items.position
string

the alignment in SERP

items.title
string

title of the element in SERP the name of the business entity for which the results are collected

items.original_title
string

original title of the element original title not translated by Google

items.description
string

description of the element in SERP the description of the business entity for which the results are collected

items.category
string

business category Google My Business general category that best describes the services provided by the business entity

items.category_ids
string[]

global category IDs universal category IDs that do not change based on the selected country

items.additional_categories
string[]

additional business categories additional Google My Business categories that describe the services provided by the business entity in more detail

items.cid
string

google-defined client id unique id of a local establishment learn more about the identifier in this help center article

items.feature_id
string

the unique identifier of the element in SERP learn more about the identifier in this help center article

items.address
string

street address of the business entity

items.address_info
object

object containing address components of the business entity

items.borough
string

administrative unit or district the business entity location belongs to

items.city
string

name of the city where the business entity is located

items.zip
string

ZIP code of the business entity

items.region
string

DMA region of the business entity location

items.country_code
string

ISO country code of the business entity location

items.place_id
string

unique place identifier place id of the local establishment featured in the element learn more about the identifier in this help center article

items.phone
string

phone number of the business entity

items.url
string

absolute url of the business entity

items.contact_url
string

URL of the preferred contact page

items.contributor_url
string

URL of the user’s or entity’s Local Guides profile, if available

items.book_online_url
string

URL in the ‘book online’ button of the element URL directing users to the online booking or order page of the business entity

items.domain
string

domain of the business entity

URL of the logo featured in Google My Business profile

items.main_image
string

URL of the main image featured in Google My Business profile

items.total_photos
integer

total count of images featured in Google My Business profile

items.snippet
string

additional information on the business entity

items.latitude
number

latitude coordinate of the local establishments in google maps example: "latitude": 51.584091

items.longitude
number

longitude coordinate of the local establishment in google maps example: "longitude": -0.31365919999999997

items.is_claimed
boolean

shows whether the entity is verified by its owner on Google Maps

items.attributes
object

service details in a form of user-reviewed checks; service details of a business entity displayed in a form of checks and based on user feedback and business category

items.available_attributes
object

available attributes indicates attributes a business entity can offer

items.unavailable_attributes
object

unavailable attributes indicates attributes a business entity cannot offer

items.place_topics
object

keywords mentioned in customer reviews contains most popular keywords related to products/services mentioned in customer reviews of a business entity and the number of reviews mentioning each keyword example: "place_topics": {"egg roll": 48,"birthday": 33}

items.rating
object

the element’s rating the popularity rate based on reviews and displayed in SERP

items.rating_type
string

the type of rating here you can find the following elements: Max5, Percents, CustomMax

items.value
integer

the value of the rating

items.votes_count
integer

the amount of feedback

items.rating_max
integer

the maximum value for a rating_type

items.rating_distribution
object

the distribution of ratings of the business entity the object displays the number of 1-star to 5-star ratings, as reviewed by users

items.1
integer

the number of 1-star ratings

items.2
integer

the number of 2-star ratings

items.3
integer

the number of 3-star ratings

items.4
integer

the number of 4-star ratings

items.5
integer

the number of 5-star ratings

related business entities

items.work_time
object

work time details information related to operational hours of the business entity

items.work_hours
object

open hours information about work hours of the local establishment

items.timetable
object

work hours timetable

items.sunday
string[]

work hours on Sundays

items.open
object

opening time

items.hour
integer

hours in the 24-hour format

items.minute
integer

minutes

items.close
object

closing time

items.monday
string[]

work hours on Mondays

items.tuesday
string[]

work hours on Tuesdays

items.wednesday
string[]

work hours on Wednesdays

items.thursday
string[]

work hours on Thursdays

items.friday
string[]

work hours on Fridays

items.saturday
string[]

work hours on Saturday

items.current_status
string

current status of the establishment possible values: opened, closed, temporarily_closed, closed_forever

popular times information related to busy hours of the business entity

popular hours information about busy hours of the local establishment on each day of the week

busy hours on sunday can take values of the corresponding days of the week

busy hours

hours in a 24-hour format

minutes

popularity index relative time-bound popularity index measured from 0 to 100; higher value corresponds to a busier time of a day

available interactions with the business list of options to interact with the business directly from search results

type of element = ‘menu’

title of the element domain of the online menu system

URL to view the menu

lists available delivery services

business establishment is a part of the directory indicates whether the business establishment is a part of the directory; if true, the item is a part of the larger directory of businesses with the same address (e.g., a mall or a business centre); note: if the business establishment is a parent item in the directory, the value will be null

directory
string[]

items of the directory includes information about businesses that are located within the target business establishment and have the same address

directory.title
string

title of the element in SERP the name of the business entity

directory.items
string[]

array of directory items

directory.type
string

type of element = ‘maps_search’

directory.rank_group
integer

position within a group of elements with identical type values positions of elements with different type values are omitted from the rank_group

directory.rank_absolute
integer

absolute rank among all the elements

directory.domain
string

domain of the business entity

directory.url
string

absolute url of the business entity

directory.rating
object

the element’s rating the popularity rate based on reviews and displayed in SERP

directory.rating_type
string

the type of rating here you can find the following elements: Max5, Percents, CustomMax

directory.value
integer

the value of the rating

directory.votes_count
integer

the amount of feedback

directory.rating_max
integer

the maximum value for a rating_type

directory.rating_distribution
object

the distribution of ratings of the business entity the object displays the number of 1-star to 5-star ratings, as reviewed by users

directory.1
integer

the number of 1-star ratings

directory.2
integer

the number of 2-star ratings

directory.3
integer

the number of 3-star ratings

directory.4
integer

the number of 4-star ratings

directory.5
integer

the number of 5-star ratings

directory.snippet
string

additional information about the business entity

directory.address
string

street address of the business entity

directory.address_info
object

object containing address components of the business entity

directory.borough
string

administrative unit or district the business entity location belongs to

directory.city
string

name of the city where the business entity is located

directory.zip
string

ZIP code of the business entity

directory.region
string

DMA region of the business entity location

directory.country_code
string

ISO country code of the business entity location

directory.place_id
string

unique place identifier place id of the local establishment featured in the element learn more about the identifier in this help center article

directory.phone
string

phone number of the business entity

directory.main_image
string

URL of the main image featured in Google My Business profile

directory.total_photos
integer

total count of images featured in Google My Business profile

directory.category
string

business category Google My Business general category that best describes the services provided by the business entity

directory.category_ids
string[]

global category IDs universal category IDs that do not change based on the selected country

directory.work_hours
object

work hours information about work hours of the local establishment

directory.feature_id
string

the unique identifier of the element in SERP learn more about the identifier in this help center article

directory.cid
string

google-defined client id unique id of a local establishment; can be used with Google Reviews API to get a full list of reviews learn more about the identifier in this help center article

directory.latitude
number

latitude coordinate of the local establishments in google maps example: "latitude": 51.584091

directory.longitude
number

longitude coordinate of the local establishment in google maps example: "longitude": -0.31365919999999997

directory.is_claimed
boolean

shows whether the entity is verified by its owner on Google Maps

directory.local_justifications
string[]

Google local justifications snippets of text that “justify” why the business is showing up for search query

directory.is_directory_item
boolean

business establishment is a part of the directory indicates whether the business establishment is a part of the directory; if true, the item is a part of the larger directory of businesses with the same address (e.g., a mall or a business centre); note: if the business establishment is a parent item in the directory, the value will be null

directory.price_level
string

property price level can take values: inexpensive, moderate, expensive, very_expensive if there is no price level information, the value will be null

directory.hotel_rating
integer

hotel class rating class ratings range between 1-5 stars, learn more if there is no hotel class rating information, the value will be null